Subject: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode

From: Ulrich Sibiller <[email-masked]>
Date: Wed, 26 Jul 2017 12:10:42 +0200

On Wed, Jul 26, 2017 at 12:05 PM, Walid MOGHRABI
<[email-masked]> wrote:
> That's what I did and it simply didn't work for a Ubuntu based image.
>
> Most configuration switches for live-build script are not supported under Ubuntu and well, I don't remember every bits of what were working or not because I tried monthes ago but it was to tricky and except for Debian, it was simply unusable as is.
> As for the git repos, I tried many combinations and nothing worked as expected so I basicaly decided to do this by hand and take inspiration from the howto on what to install/tweak.
>
> I ended with something that was not that complicated to do, scriptable (mostly) and working (except for this dual head stuff) so I stopped going the Live Build way, at least, just the time to sort out things and get back with some contributions on that part.

Let's not get distracted.

Back to your setup. You posted xpdyinfo output some days ago that
clearly showed that the real X server on your TCE setup does not offer
xinerama. And you posted xrandr output that showed multiple screens
for the same X server. Just to be sure nothing got confused: please
run both commands again on the TCE's X server. If it stays like this
please check the  X server's logfile for any randr or xinerama
messages.

Uli